<template>
  <v-tooltip text="Tooltip">
    Copier le lien !
    <template v-slot:activator="{ props }">
      <v-btn v-bind="props" size="large" icon="mdi-link-variant" @click="share"></v-btn>
    </template>
    <v-snackbar
      v-model="snackbar"
      color="info"
      :timeout="timeout"
      elevation="24"
    >
      {{ text }}
    </v-snackbar>
  </v-tooltip>
</template>
<script>
export default {
  name: 'share-btn',
  data: () => ({
    snackbar: false,
    text: 'Le lien à été copié dans le presse papier',
    timeout: 2000,
  }),
  methods: {
    share() {
      navigator.clipboard.writeText(window.location.href);
      this.snackbar = true
    }
  }
}
</script>
